Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
2_programmation:incompatibilites_entre_packages [2016/10/16 09:47]
jejust
2_programmation:incompatibilites_entre_packages [2021/05/10 21:25] (Version actuelle)
jejust Ajout de références. Changement de titre. Mots-clefs OpenGraph.
Ligne 1: Ligne 1:
-\question{Comment résoudre ​certaines ​incompatibilités ​de packages ​?} %29.63+====== ​Comment résoudre ​les incompatibilités ​entre extensions======
  
-\reponse ​Les probl\`emes ​surviennent,​ en g\'​en\'​eral, lorsque deux packages +$\Reponse$  ​Les problèmes ​surviennent,​ en général, lorsque deux packages 
-s'​attaquent ​\`a la red\'​efinition ​de la m\^eme ​commande. Par exemple, si l'on +s'​attaquent ​à la redéfinition ​de la même commande. Par exemple, si l'on 
-choisit d'​inclure ​\`a la fois les packages ​\pack{bibentryet \pack{backref}+choisit d'​inclure ​à la fois les packages ​[[ctanpkg>​bibentry]] et [[ctanpkg>​backref]]
-on va in\'​evitablement ​rencontrer des probl\`emes, puisque l'un et l'​autre +on va inévitablement ​rencontrer des problèmes, puisque l'un et l'​autre 
-red\'​efinissent ​la commande \cmd{bibitem}, qui plus est en utilisant tous les +redéfinissent ​la commande ​''​\bibitem''​, qui plus est en utilisant tous les 
-deux la commande interne \cmd{BR@bibitem}+deux la commande interne ​''​\BR@bibitem''​
  
 Dans certains cas, il suffira de permuter l'​ordre de chargement de certains Dans certains cas, il suffira de permuter l'​ordre de chargement de certains
-packages. Il n'y a pas de r\`egle g\'​en\'​erale, cependant. ​+packages. Il n'y a pas de règle générale, cependant. ​ 
 + 
 + 
 +===== Conflits connus avec l'​extension “hyperref” ===== 
 + 
 +FIXME Utiliser [[http://​www.macfreek.nl/​memory/​LaTeX_package_conflicts|la page de Freek Dijkstra]] pour compléter. 
 + 
 + 
 +----- 
 +//​Sources://​ 
 +  * [[https://​tex.stackexchange.com/​questions/​3090/​packages-that-need-to-be-included-in-a-specific-order|Packages that need to be included in a specific order]], 
 +  * [[https://​tex.stackexchange.com/​questions/​1863/​which-packages-should-be-loaded-after-hyperref-instead-of-before|Which packages should be loaded after hyperref instead of before?]] 
 +  * [[http://​www.macfreek.nl/​memory/​LaTeX_package_conflicts|LaTeX package conflicts]]. 
 + 
 +{{htmlmetatags>​metatag-keywords=(LaTeX,​conflits entre extensions,​préambule,​clash entre package,​ordre des packages) 
 +metatag-og:​title=(Comment résoudre les incompatibilités entre extensions?​) 
 +metatag-og:​site_name=(FAQ LaTeX francophone) 
 +}}
  
-\endinput 
2_programmation/incompatibilites_entre_packages.1476604029.txt.gz · Dernière modification: 2016/10/16 09:47 par jejust
CC Attribution-Share Alike 4.0 International
Driven by DokuWiki Recent changes RSS feed Valid CSS Valid XHTML 1.0